## Apache Zeta Components Manual :: Docs For Class ezcBaseSettingNotFoundException

### Base::ezcBaseSettingNotFoundException

### Class ezcBaseSettingNotFoundException

ezcBaseSettingNotFoundException is thrown whenever there is a name passed as part as the options array to setOptions() for an option that doesn't exist.

Source for this file: /Base/src/exceptions/setting_not_found.php

    Exception
       |
       --ezcBaseException
          |
          --ezcBaseSettingNotFoundException

Version: | //autogen//

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`

### Method Summary

public ezcBaseSettingNotFoundException | `__construct( $settingName )` Constructs a new ezcBaseSettingNotFoundException for $settingName.

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message

### Methods

#### __construct

ezcBaseSettingNotFoundException __construct( string $settingName )

Constructs a new ezcBaseSettingNotFoundException for $settingName.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$settingName` | string | The name of the setting that does not exist.

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseException::__construct()` | Constructs a new ezcBaseException with $message

Documentation generated by phpDocumentor 1.4.3